This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 856752 - [abrt] gedit-3.5.2-1.fc18: _gdk_x11_display_error_event: Process /usr/bin/gedit was killed by signal 5 (SIGTRAP)
[abrt] gedit-3.5.2-1.fc18: _gdk_x11_display_error_event: Process /usr/bin/ged...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:42b8d9fc7bcaa8037d310e8eb83...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 14:01 EDT by Vlad
Modified: 2014-02-05 07:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:10:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (13.93 KB, text/plain)
2012-09-12 14:01 EDT, Vlad
no flags Details
File: environ (1.22 KB, text/plain)
2012-09-12 14:01 EDT, Vlad
no flags Details
File: backtrace (98.74 KB, text/plain)
2012-09-12 14:01 EDT, Vlad
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-12 14:01 EDT, Vlad
no flags Details
File: cgroup (129 bytes, text/plain)
2012-09-12 14:02 EDT, Vlad
no flags Details
File: maps (40.60 KB, text/plain)
2012-09-12 14:02 EDT, Vlad
no flags Details
File: dso_list (14.32 KB, text/plain)
2012-09-12 14:02 EDT, Vlad
no flags Details
File: var_log_messages (233 bytes, text/plain)
2012-09-12 14:02 EDT, Vlad
no flags Details
File: open_fds (1021 bytes, text/plain)
2012-09-12 14:02 EDT, Vlad
no flags Details
for a few tries gedit seemed to crash each time i tried to open this, but it doesn't now. odd. (23.34 KB, text/plain)
2012-10-04 14:58 EDT, Adam Williamson
no flags Details

  None (edit)
Description Vlad 2012-09-12 14:01:47 EDT
Version-Release number of selected component:
gedit-3.5.2-1.fc18

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        gedit
crash_function: _gdk_x11_display_error_event
kernel:         3.6.0-0.rc5.git0.1.fc18.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 _gdk_x11_display_error_event at gdkdisplay-x11.c
: #6 handle_error at xcb_io.c
: #7 handle_response at xcb_io.c
: #9 XInternAtom at IntAtom.c
: #10 gdk_x11_atom_to_xatom_for_display at gdkproperty-x11.c
: #12 gdk_x11_get_xatom_by_name_for_display at gdkproperty-x11.c
: #13 get_net_supporting_wm_check at gdkscreen-x11.c
: #14 fetch_net_wm_check_window at gdkscreen-x11.c
: #15 gdk_x11_screen_supports_net_wm_hint at gdkscreen-x11.c
: #16 gdk_x11_window_set_user_time at gdkwindow-x11.c
Comment 1 Vlad 2012-09-12 14:01:50 EDT
Created attachment 612191 [details]
File: core_backtrace
Comment 2 Vlad 2012-09-12 14:01:52 EDT
Created attachment 612192 [details]
File: environ
Comment 3 Vlad 2012-09-12 14:01:55 EDT
Created attachment 612193 [details]
File: backtrace
Comment 4 Vlad 2012-09-12 14:01:58 EDT
Created attachment 612194 [details]
File: limits
Comment 5 Vlad 2012-09-12 14:02:00 EDT
Created attachment 612195 [details]
File: cgroup
Comment 6 Vlad 2012-09-12 14:02:03 EDT
Created attachment 612196 [details]
File: maps
Comment 7 Vlad 2012-09-12 14:02:06 EDT
Created attachment 612197 [details]
File: dso_list
Comment 8 Vlad 2012-09-12 14:02:08 EDT
Created attachment 612198 [details]
File: var_log_messages
Comment 9 Vlad 2012-09-12 14:02:10 EDT
Created attachment 612199 [details]
File: open_fds
Comment 10 Adam Williamson 2012-10-04 14:54:53 EDT
Trying to open a specific Xorg.0.log file (I'll attach it)

backtrace_rating: 4
Package: gedit-3.6.0-1.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 11 Adam Williamson 2012-10-04 14:58:13 EDT
Created attachment 621807 [details]
for a few tries gedit seemed to crash each time i tried to open this, but it doesn't now. odd.
Comment 12 Abhay 2012-10-05 09:20:38 EDT
Tried to opene the file named "requests". The steps i did when i was using Autotools:

1. run the aclocal command
2. open the autom4te.cache folder in nautilus
3. try to open "requests" file by double clicking it


backtrace_rating: 4
Package: gedit-3.6.0-1.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 13 John Dulaney 2012-12-17 18:47:22 EST
Opened up a corrupted C file

backtrace_rating: 4
Package: gedit-3.6.2-1.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 14 Brandon Amaro 2013-07-08 22:21:46 EDT
I was copying and pasting information from one file into another. This is an intermitent problem I've been having for the past couple of days. The size of what I'm copying and pasting doesn't seem to be a factor as it has crashed when copying and pasting just one word

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/gedit /tmp/fz3temp-1/asteroid_converter.php
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/gedit
kernel:         3.9.6-200.fc18.i686.PAE
package:        gedit-3.6.2-1.fc18
reason:         Process /usr/bin/gedit was killed by signal 5 (SIGTRAP)
runlevel:       N 5
uid:            1000
Comment 15 Brandon Amaro 2013-10-29 02:47:33 EDT
I was just trying to copy and past something...

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gedit --sm-client-id 1028c1d320b210000138177783600000016150041 --sm-client-state-file /home/omega13a/.config/session-state/gedit-1382596201.desktop
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/gedit
kernel:         3.11.4-101.fc18.i686
package:        gedit-3.6.2-1.fc18
reason:         Process /usr/bin/gedit was killed by signal 5 (SIGTRAP)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2013-12-21 03:52:07 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2014-02-05 07:10:46 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.